telephony/CosProfiles

Reference of CoS (class of service) groups.

A detailed description of the group access concept is in the article CoS/CoR group access differentiation.

Storage type: category.

Table 1. Class fields
Field Description

id

Identifier

code

Group code. Unique value.

Used in CorPolicy and other entity settings (sipuser, provider).

The value any is reserved.

name

Group name.

comment

Arbitrary comment

restricted_level

Access level for the mandatory direction assignment model. Correlates with vectorrule.opts.restricted_level — allows rules with a smaller value.

call_types

List of allowed directions. Default [all].

  • If the list contains all, direction restrictions do not apply and any are allowed.

  • An empty list allows only routing rules for which vectorrule.opts.call_type is not set.

  • Any set of codes allows routing rules with the corresponding call_type.

This is an open late-binding list. It is assumed, but not required, that the specified codes are contained in the PolicyCallTypes collection.

toll_lists

List of connected Toll lists allowing direction usage. Default [].

Used as an alternative to directly specifying the direction list in the 'call_types' field. Can be used for more capacious configuration schemes where the number of directions and CoS profiles is simultaneously large.

feature_access

List of allowed services. Default [all].

  • Each element blocks/grants access to certain impersonal services.

  • If the list contains all, feature restrictions do not apply and any are allowed.

List of possible variants:

  • pickup — call pickup from a number (regardless of the number itself).

  • grouppickup — call pickup within a group.

  • intercom — intercom call.

  • barge — intrusion.

  • voicemail — voicemail management (does not include leaving a voicemail message).

  • parking — call parking management (both parking and unparking).

  • replace — leg replacement in a call.

  • monitor — conversation eavesdropping.

  • prompt — whispering to the subscriber during the conversation.

  • mesh — connecting to the conversation in conference mode.

  • adhoc_conference — creating an ad-hoc conference (converting a conversation/dialog into an ad-hoc conference).

  • all — covers any service feature.

Available field values

Auxiliary collections for selecting field values in applications: an array {"code", "name"} sorted by code (name — code if no name is set). Collection GET only, domain type worker.

HTTP verb Endpoint Description

GET

/rest/v1/model/telephony/CosProfiles/call_types/AvailableItems

all and PolicyCallTypes codes